CREATE TABLE `PERF_VALORIZZAZIONE` (
  `ID_VALORIZZAZIONE` bigint(22) NOT NULL AUTO_INCREMENT,
  `TIPO_RIPARTIZIONE` varchar(45) NOT NULL,
  `PERIODO_RIPARTIZIONE` bigint(22) NOT NULL,
  `VOCE_INCASSO` varchar(45) NOT NULL,
  `FORMATO_REPORT` varchar(45) NOT NULL,
  `VALORIZZAZIONE` json NOT NULL,
  `RIPARTIZIONE` json NOT NULL,
  `UTENTE_ULTIMA_MODIFICA` varchar(45) DEFAULT NULL,
  `DATA_MODIFICA` datetime DEFAULT CURRENT_TIMESTAMP,
  `DATA_DISATTIVAZIONE` datetime DEFAULT NULL,
  PRIMARY KEY (`ID_VALORIZZAZIONE`),
  UNIQUE KEY `ID_VALORIZZAZIONE_UNIQUE` (`ID_VALORIZZAZIONE`),
  KEY `index2` (`PERIODO_RIPARTIZIONE`),
  CONSTRAINT `PERF_VALORIZZAZIONE_PERIODO_RIPARTIZIONE` FOREIGN KEY (`PERIODO_RIPARTIZIONE`) REFERENCES `PERIODO_RIPARTIZIONE` (`ID_PERIODO_RIPARTIZIONE`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB;
COMMIT;